Update payout receiver

Update a payout receiver. Only the fields included in the payload will be updated. Omitted fields will not be updated. To remove a field, set the value to null.

The following fields can be updated when the payout receiver is in the status of NEEDS_INFORMATION: legal_name, first_name, and last_name

The following fields can be updated when the payout receiver is any status except DECLINED and DEACTIVATED: name, default_payout_category, and metadata

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique merchant identifier.

Prefix is "mid" in production and "sbx_mid" in sandbox.

string
required

The unique payout receiver identifier.

Prefix is "rcv" in production and "sbx_rcv" in sandbox.

Body Params

Request to update a payout receiver. Only the fields provided are changed.

string

The payout receiver's display name. Cannot be blank.

string

The payout receiver's first name. Only applicable for type EXTERNAL_INDIVIDUAL.

string

The receiver's last name. Only applicable for type EXTERNAL_INDIVIDUAL.

string
enum

The default category to set on a payout.

Allowed:
metadata
object

Valid JSON key-value object specified by the platform to store additional information. Do not use the metadata field to store sensitive or confidential data.

Updating metadata will merge with the existing metadata stored on the payout receiver by the top-level key. If the same top-level key is passed in this request, it will overwrite the value stored on the payout receiver. Only keys included in the payload will be updated. To remove a key, set the key's value to null.

Metadata must be less than 8 KB in size.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json